<!DOCTYPE html
  PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
  "DTD/xhtml1-strict.dtd">
<html>
  <head>
    <title>API docs for &ldquo;kiwi.ui.widgets.fontbutton.ProxyFontButton&rdquo;</title>
    <meta content="text/html;charset=utf-8" http-equiv="Content-Type" />
    <link href="apidocs.css" type="text/css" rel="stylesheet" />
    
    
  </head>
  <body>
    <h1 class="class">Class k.u.w.f.ProxyFontButton(<a href="kiwi.utils.PropertyObject.html">PropertyObject</a>, <span title="gtk.FontButton">gtk.FontButton</span>, <a href="kiwi.ui.proxywidget.ProxyWidgetMixin.html">ProxyWidgetMixin</a>):</h1>
    <p>
      <span id="part">Part of <a href="kiwi.html">kiwi</a>.<a href="kiwi.ui.html">ui</a>.<a href="kiwi.ui.widgets.html">widgets</a>.<a href="kiwi.ui.widgets.fontbutton.html">fontbutton</a></span>
      
      <a href="classIndex.html#kiwi.ui.widgets.fontbutton.ProxyFontButton">View In Hierarchy</a>
    </p>
    <div>
      
    </div>
    <div class="undocumented">Undocumented</div>
    
    
    <div id="splitTables">
      <table class="children sortable" id="id101">
  
  
  
  
  <tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.widgets.fontbutton.ProxyFontButton.html#__init__">__init__</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.widgets.fontbutton.ProxyFontButton.html#do_font_set">do_font_set</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.widgets.fontbutton.ProxyFontButton.html#read">read</a></td>
    <td><span>Get the content of the widget.
</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.widgets.fontbutton.ProxyFontButton.html#update">update</a></td>
    <td><span>Update the content value of the widget.
</span></td>
  </tr>
  
</table>
      
        <p>
          Inherited from <a href="kiwi.utils.PropertyObject.html">PropertyObject</a>:
        </p>
        <table class="children sortable" id="id102">
  
  
  
  
  <tr class="baseclassmethod">
    
    
    <td>Class Method</td>
    <td><a href="kiwi.utils.PropertyObject.html#__class_init__">__class_init__</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="basemethod">
    
    
    <td>Method</td>
    <td><a href="kiwi.utils.PropertyObject.html#__post_init__">__post_init__</a></td>
    <td><span>A hook which is called after the constructor is called.
</span></td>
  </tr><tr class="basemethod">
    
    
    <td>Method</td>
    <td><a href="kiwi.utils.PropertyObject.html#_set">_set</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="basemethod">
    
    
    <td>Method</td>
    <td><a href="kiwi.utils.PropertyObject.html#_get">_get</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="basemethod">
    
    
    <td>Method</td>
    <td><a href="kiwi.utils.PropertyObject.html#get_attribute_names">get_attribute_names</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="basemethod">
    
    
    <td>Method</td>
    <td><a href="kiwi.utils.PropertyObject.html#is_default_value">is_default_value</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="basemethod">
    
    
    <td>Method</td>
    <td><a href="kiwi.utils.PropertyObject.html#do_set_property">do_set_property</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="basemethod">
    
    
    <td>Method</td>
    <td><a href="kiwi.utils.PropertyObject.html#do_get_property">do_get_property</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr>
  
</table>
      
        <p>
          Inherited from <a href="kiwi.ui.proxywidget.ProxyWidgetMixin.html">ProxyWidgetMixin</a>:
        </p>
        <table class="children sortable" id="id103">
  
  
  
  
  <tr class="basemethod">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.proxywidget.ProxyWidgetMixin.html#prop_set_data_type">prop_set_data_type</a></td>
    <td><span>Set the data type for the widget
</span></td>
  </tr><tr class="basemethod">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.proxywidget.ProxyWidgetMixin.html#set_data_format">set_data_format</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="basemethod">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.proxywidget.ProxyWidgetMixin.html#set_options_for_datatype">set_options_for_datatype</a></td>
    <td><span>Set some options to be passed to the datatype converter.
</span></td>
  </tr><tr class="basemethod">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.proxywidget.ProxyWidgetMixin.html#_as_string">_as_string</a></td>
    <td><span>Convert a value to a string
</span></td>
  </tr><tr class="basemethod">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.proxywidget.ProxyWidgetMixin.html#_from_string">_from_string</a></td>
    <td><span>Convert a string to the data type of the widget
</span></td>
  </tr>
  
</table>
      
      
    </div>
    
    
    
    <div class="function">
        <a name="kiwi.ui.widgets.fontbutton.ProxyFontButton.__init__"></a>
        <a name="__init__"></a>
        <div class="functionHeader">
        
        def __init__(self, fontname=None):
        
      </div>
        <div class="functionBody">
          <div class="interfaceinfo">overrides <a href="kiwi.utils.PropertyObject.html#__init__">kiwi.utils.PropertyObject.__init__</a></div>
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.widgets.fontbutton.ProxyFontButton.do_font_set"></a>
        <a name="do_font_set"></a>
        <div class="functionHeader">
        
        def do_font_set(self):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.widgets.fontbutton.ProxyFontButton.read"></a>
        <a name="read"></a>
        <div class="functionHeader">
        
        def read(self):
        
      </div>
        <div class="functionBody">
          <div class="interfaceinfo">overrides <a href="kiwi.ui.proxywidget.ProxyWidgetMixin.html#read">kiwi.ui.proxywidget.ProxyWidgetMixin.read</a></div>
          <div>Get the content of the widget. The type of the return value
<table class="fieldTable"><tr class="fieldStart"><td class="fieldName">Returns</td><td colspan="2">None if the user input a invalid value
 (type: Must matche the data-type property.
)</td></tr></table></div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.widgets.fontbutton.ProxyFontButton.update"></a>
        <a name="update"></a>
        <div class="functionHeader">
        
        def update(self, data):
        
      </div>
        <div class="functionBody">
          <div class="interfaceinfo">overrides <a href="kiwi.ui.proxywidget.ProxyWidgetMixin.html#update">kiwi.ui.proxywidget.ProxyWidgetMixin.update</a></div>
          <div>Update the content value of the widget.
<table class="fieldTable"><tr class="fieldStart"><td class="fieldName">Parameters</td><td class="fieldArg">value</td><td></td></tr></table></div>
        </div>
      </div>
    
    <address>
      <a href="index.html">API Documentation</a> for Kiwi, generated by <a href="http://codespeak.net/~mwh/pydoctor/">pydoctor</a> at 2008-05-29 16:06:17.
    </address>
  </body>
</html>